
locals {
  description = var.description
  diagnostic_settings = var.diagnostic_settings
  enable_telemetry = var.enable_telemetry
  location = var.location
  lock = var.lock
  managed_identities = var.managed_identities
  private_endpoints = var.private_endpoints
  public_network_access_enabled = var.public_network_access_enabled
  resource_group_name = var.resource_group_name
  role_assignments = var.role_assignments
  schedules = var.schedules
  subresource_names = var.subresource_names
  tags = var.tags
  time_zone = var.time_zone
  tracing_tags_enabled = var.tracing_tags_enabled
  tracing_tags_prefix = var.tracing_tags_prefix
  user_group_name = var.user_group_name
  virtual_desktop_application_group_default_desktop_display_name = var.virtual_desktop_application_group_default_desktop_display_name
  virtual_desktop_application_group_description = var.virtual_desktop_application_group_description
  virtual_desktop_application_group_friendly_name = var.virtual_desktop_application_group_friendly_name
  virtual_desktop_application_group_name = var.virtual_desktop_application_group_name
  virtual_desktop_application_group_tags = var.virtual_desktop_application_group_tags
  virtual_desktop_application_group_timeouts = var.virtual_desktop_application_group_timeouts
  virtual_desktop_application_group_type = var.virtual_desktop_application_group_type
  virtual_desktop_host_pool_custom_rdp_properties = var.virtual_desktop_host_pool_custom_rdp_properties
  virtual_desktop_host_pool_description = var.virtual_desktop_host_pool_description
  virtual_desktop_host_pool_friendly_name = var.virtual_desktop_host_pool_friendly_name
  virtual_desktop_host_pool_load_balancer_type = var.virtual_desktop_host_pool_load_balancer_type
  virtual_desktop_host_pool_maximum_sessions_allowed = var.virtual_desktop_host_pool_maximum_sessions_allowed
  virtual_desktop_host_pool_name = var.virtual_desktop_host_pool_name
  virtual_desktop_host_pool_personal_desktop_assignment_type = var.virtual_desktop_host_pool_personal_desktop_assignment_type
  virtual_desktop_host_pool_preferred_app_group_type = var.virtual_desktop_host_pool_preferred_app_group_type
  virtual_desktop_host_pool_scheduled_agent_updates = var.virtual_desktop_host_pool_scheduled_agent_updates
  virtual_desktop_host_pool_start_vm_on_connect = var.virtual_desktop_host_pool_start_vm_on_connect
  virtual_desktop_host_pool_tags = var.virtual_desktop_host_pool_tags
  virtual_desktop_host_pool_timeouts = var.virtual_desktop_host_pool_timeouts
  virtual_desktop_host_pool_type = var.virtual_desktop_host_pool_type
  virtual_desktop_host_pool_validate_environment = var.virtual_desktop_host_pool_validate_environment
  virtual_desktop_scaling_plan_description = var.virtual_desktop_scaling_plan_description
  virtual_desktop_scaling_plan_exclusion_tag = var.virtual_desktop_scaling_plan_exclusion_tag
  virtual_desktop_scaling_plan_friendly_name = var.virtual_desktop_scaling_plan_friendly_name
  virtual_desktop_scaling_plan_host_pool = var.virtual_desktop_scaling_plan_host_pool
  virtual_desktop_scaling_plan_name = var.virtual_desktop_scaling_plan_name
  virtual_desktop_scaling_plan_schedule = var.virtual_desktop_scaling_plan_schedule
  virtual_desktop_scaling_plan_tags = var.virtual_desktop_scaling_plan_tags
  virtual_desktop_scaling_plan_time_zone = var.virtual_desktop_scaling_plan_time_zone
  virtual_desktop_scaling_plan_timeouts = var.virtual_desktop_scaling_plan_timeouts
  virtual_desktop_workspace_description = var.virtual_desktop_workspace_description
  virtual_desktop_workspace_friendly_name = var.virtual_desktop_workspace_friendly_name
  virtual_desktop_workspace_name = var.virtual_desktop_workspace_name
  virtual_desktop_workspace_public_network_access_enabled = var.virtual_desktop_workspace_public_network_access_enabled
  virtual_desktop_workspace_tags = var.virtual_desktop_workspace_tags
  virtual_desktop_workspace_timeouts = var.virtual_desktop_workspace_timeouts
}
